List customer payment accounts
curl --request GET \
--url https://api.useaira.com/v1/payment-accounts/by-customer \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.useaira.com/v1/payment-accounts/by-customer"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.useaira.com/v1/payment-accounts/by-customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedAt": "2023-11-07T05:31:56Z",
"legalEntity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessName": "<string>",
"taxId": "01234567000189",
"customFields": {
"customField1": "value1",
"customField2": [
"value2",
"value3"
]
},
"tradeName": "<string>",
"emails": [],
"zipCode": "<string>",
"street": "<string>",
"number": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"country": "Brasil",
"complement": "<string>"
}
}
]
}{
"message": "<string>"
}Payment Accounts
List customer payment accounts
This endpoint allows fetching the payment accounts associated with a customer.
GET
/
v1
/
payment-accounts
/
by-customer
List customer payment accounts
Authorizations
API Key Authentication.
Query Parameters
The unique identifier of the customer.
Whether payment accounts of subsidiaries should be returned as well.
Whether archived payment accounts should be returned.
Response
Default Response
A list of items.
Show child attributes
Show child attributes
⌘I